import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/companyStructureInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/companyStructureInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/companyStructureInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(formData){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/list", formData);
}

function query(formData){
  return request.post(constant.serverUrl + "/base/companyStructureInfo/query", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,list,query
}